> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflows

> List workflows



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /workflows/list
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /workflows/list:
    post:
      tags:
        - Workflows
      summary: List Workflows
      description: List workflows
      operationId: list_workflows_workflows_list_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListWorkflowRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWorkflowResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            workflows = client.workflows.list()
            print(workflows.workflows)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const workflows = await client.workflows.list();

            console.log(workflows.workflows);
components:
  schemas:
    ListWorkflowRequest:
      properties:
        workflow_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Workflow Ids
      type: object
      title: ListWorkflowRequest
    ListWorkflowResponse:
      properties:
        workflows:
          items:
            $ref: '#/components/schemas/WorkflowPydantic-Output'
          type: array
          title: Workflows
      type: object
      required:
        - workflows
      title: ListWorkflowResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowPydantic-Output:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          default: ''
        status:
          $ref: '#/components/schemas/WorkflowStatus'
          default: pending
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          default: '2026-05-18T12:06:28.616977'
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          default: '2026-05-18T12:06:28.616981'
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        raw_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Raw User Id
        raw_env_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Raw Env Id
        stages:
          items:
            $ref: '#/components/schemas/WorkflowStage-Output'
          type: array
          title: Stages
        cadence:
          type: string
          title: Cadence
      type: object
      required:
        - name
        - stages
        - cadence
      title: WorkflowPydantic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkflowStatus:
      type: string
      enum:
        - pending
        - running
        - completed
        - failed
      title: WorkflowStatus
    WorkflowStage-Output:
      properties:
        jobs:
          items:
            $ref: '#/components/schemas/WorkflowJob'
          type: array
          title: Jobs
        status:
          $ref: '#/components/schemas/WorkflowStatus'
          default: pending
      type: object
      required:
        - jobs
      title: WorkflowStage
    WorkflowJob:
      properties:
        endpoint:
          type: string
          title: Endpoint
        endpoint_request_body:
          type: object
          title: Endpoint Request Body
        status:
          $ref: '#/components/schemas/WorkflowStatus'
          default: pending
        progress_tracker_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Progress Tracker Id
      type: object
      required:
        - endpoint
        - endpoint_request_body
      title: WorkflowJob
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````